package org.colinvella.fancyfish.inventory;

import org.colinvella.fancyfish.tileentity.ModInventoryTileEntity;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.inventory.Container;
import net.minecraft.inventory.IInventory;

public class ModContainer extends Container
{
    public ModContainer(IInventory playerInventory, ModInventoryTileEntity modInventoryTileEntity)
    {
    	this.playerInventory = playerInventory;
        this.modInventoryTileEntity = modInventoryTileEntity;
    }

    @Override
    public boolean canInteractWith(EntityPlayer playerIn)
    {
	    return this.modInventoryTileEntity.isUseableByPlayer(playerIn);
    }
	
    protected IInventory playerInventory;
    protected ModInventoryTileEntity modInventoryTileEntity;
}
