package org.colinvella.fancyfish.tileentity;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.logger.ModLogger;

import net.minecraft.block.state.IBlockState;
import net.minecraft.server.gui.IUpdatePlayerListBox;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.BlockPos;
import net.minecraft.world.World;

public abstract class ModTileEntity extends TileEntity implements IUpdatePlayerListBox
{
	public ModTileEntity()
	{
		this.logger = FancyFishMod.getLogger();
	}
	
	
	// by default, tile entity is recreated only if actual block changes
	@Override
	public boolean shouldRefresh(World world, BlockPos pos, IBlockState oldState, IBlockState newSate)
	{
		return (oldState.getBlock() != newSate.getBlock());
	};
	
	@Override
	public void update()
	{
	}
	
	protected ModLogger logger;
}
