package org.colinvella.fancyfish.configuration;

import org.colinvella.fancyfish.FancyFishMod;

import net.minecraft.client.gui.GuiButton;
import net.minecraft.client.gui.GuiScreen;
import net.minecraftforge.common.config.ConfigElement;
import net.minecraftforge.common.config.Configuration;
import net.minecraftforge.fml.client.config.GuiConfig;

public class ModGuiConfiguration extends GuiConfig 
{
    public ModGuiConfiguration(GuiScreen parent) 
    {
        super(parent,
                new ConfigElement(
                		ModConfiguration.getConfiguration().getCategory(Configuration.CATEGORY_GENERAL))
                            .getChildElements(),
                FancyFishMod.MOD_ID, 
                false, 
                false, 
                "FancyFish Mod Configuration");
        //titleLine2 = FancyFishMod.configFile.getAbsolutePath();
    }
    
    @Override
    public void initGui()
    {
        // You can add buttons and initialise fields here
        super.initGui();
    }
    
    @Override
    public void drawScreen(int mouseX, int mouseY, float partialTicks)
    {
        // You can do things like create animations, draw additional elements, etc. here
        super.drawScreen(mouseX, mouseY, partialTicks);
    }

    @Override
    protected void actionPerformed(GuiButton button)
    {
    	// You can process any additional buttons you may have added here
        super.actionPerformed(button);
        
        // save configuration back to file (done on all buttons, but that's OK)
        ModConfiguration.save();
    }
}
